# citationAttachUpshots

(en) Inserts or Updates a Set Rule
(pt) Insere ou atualiza u ...

`PUT /v3/subscriptions/citations/{id}/rules`

**API:** AvaTax Brazil
**Tag:** Subscription Citations
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Subscription%20Citations/citationAttachUpshots/

## Description

(en) Inserts or Updates a Set Rule
(pt) Insere ou atualiza uma regra definida

## Request Body

**Content-Type:** `application/json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 204 |  |  |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

## Example Request

```bash
curl -X PUT "https://avataxbr.sandbox.avalarabrasil.com.br/v3/subscriptions/citations/{id}/rules" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "action": "add",
  "ignore": false
}'
```